(document:surround "/std/frame")

(define (ui-commit)
  (catch/message
    (lambda()
	(apply woo-write "/datetime-installer/edit" (form-value-list)))))

(define (ok)
  (and (ui-commit) (document:end)))

(define (cancel)
  (document:end))

width "550"
height "420"

(gridbox columns "50;50"
       margin 20
       (gridbox
         columns "50;50"
         colspan 2
         align "left"
         (checkbox text (_ "Get time from NTP server:") name "ntp_status")
         (hbox (label name "ntp_pool" text (_ "NTP server:") visibility #f)
               (edit name "ntp_pool")))

       (checkbox text (_ "Work as NTP server") widget-name "ntp_accept" name "ntp_accept")
       (spacer)

       (separator colspan 2)

       (label text (_ "Current date:") align "center" name "date")
       (label text (_ "Current time:") align "center" name "time")

       (dateedit expanded #t name "date")
       (timeedit expanded #t name "time")

       (label colspan 2)

	(hbox
	  align "left"
          (button name "ok" text (_ "OK"))
	  (button name "cancel" text (_ "Cancel")))
       (spacer))

(effect-disable "ntp_pool" "ntp_status" #f)
(effect-disable "ntp_accept" "ntp_status" #f)
(effect-disable "date" "ntp_status" #t)
(effect-disable "time" "ntp_status" #t)

(document:root
  (when loaded
    (catch/message
      (lambda()
	(form-update-value-list '("date" "time" "ntp_status" "ntp_pool" "ntp_accept")
				(woo-read-first "/datetime-installer/edit"))
	(form-bind "ok" "click" ok)
	(form-bind "cancel" "click" cancel)
	(init-effect)))))
